Skip to content

Create a WebAuthn enrollment

Request

OAuth 2.0 scope:
  • okta.myAccount.webauthn.manage

Creates a Passkey (FIDO2 WebAuthn) enrollment. Before using this endpoint, ensure that you've used the Start a WebAuthn enrollment endpoint first.

Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/json
attestationstringrequired

JSON-serialized data that contains the authenticator data and attestation statement

Example:"o2NmbXRoZmlk..."
clientDatastringrequired

JSON-serialized data that's passed to the Passkey (FIDO2 WebAuthn) authenticator by the client to generate the WebAuthn credentials

Example:"eyJjaGFsbGVuZ..."
clientExtensionsstring

JSON-serialized data that contains authenticator extensions

Example:"{\"credProps\":{\"rk\":true}}"
transportsstring

JSON-serialized data that contains the transport values that the authenticator is believed to support

Example:"[\"internal\"]"
POST
/idp/myaccount/webauthn
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/idp/myaccount/webauthn \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/json' \
  -d '{
    "clientData": "eyJjaGFsbGVuZ...",
    "attestation": "o2NmbXRoZmlk...",
    "clientExtensions": "{\"credProps\":{\"rk\":true}}",
    "transports": "[\"internal\"]"
  }'

Responses

Success

Bodyapplication/json;okta-version=1.0.0
createdstring

Date when the Passkey (FIDO2 WebAuthn) authenticator was first enrolled

credentialIdstring

Unique identifier of the specific WebAuthn credential

idstring, non-emptyread-only

Unique identifier of the Passkey (FIDO2 WebAuthn) enrollment

keystring

Authenticator key

lastUpdatedstring

Date when the Passkey (FIDO2 WebAuthn) enrollment was last updated

namestring

Authenticator name

statusstring, non-emptyread-only

Enrollment status

Enum:"ACTIVE""SUSPENDED""EXPIRED"
typestring

Authenticator type

Value:"security_key"
Response
{ "id": "fwfn3c3rryqStmyp20g4", "status": "ACTIVE", "type": "security_key", "key": "webauthn", "name": "YubiKey 5 FIPS", "credentialId": "5Ht9dBHqs8q2PbfWEuxqoDsnkO16KR_58GUju5MdSa__W_X7d5mQbkFSp273fxPX", "created": "2025-04-22T17:24:27.000Z", "lastUpdated": "2025-04-22T17:24:27.000Z", "_links": { "self": {} } }